-- LuaTools需要PROJECT和VERSION这两个信息
PROJECT = "GPIO_irq"
VERSION = "1.0.0"

log.info("main", PROJECT, VERSION)

-- sys库是标配
_G.sys = require("sys")

if wdt then
    -- 添加硬狗防止程序卡死，在支持的设备上启用这个功能
    wdt.init(9000) -- 初始化watchdog设置为9s
    sys.timerLoopStart(wdt.feed, 3000) -- 3s喂一次狗
end

-- 配置GPIO为中断模式，上升沿(GPIO.RISING)和下降沿(GPIO.FALLING)均触发(GPIO.BOTH)
-- 请根据实际需求更改GPIO编号和触发模式
-- 在测试中，可以手动拉高VDD管脚给此GPIO一个上升沿，就会产生一个上升沿中断；然后将此GPIO拉低到GND，就会有一个下降沿，此时就产生一个下降沿中断
local GPIO_pin = 1
GPIO.debounce(GPIO_pin, 100)
GPIO.setup(GPIO_pin, function()
    log.info("GPIO", GPIO_pin, "被触发")
end,GPIO.PULLDOWN,GPIO.BOTH)

-- 用户代码已结束---------------------------------------------
-- 结尾总是这一句
sys.run()
-- sys.run()之后后面不要加任何语句!!!!!